#ifndef __GUIXMLTEST__
#define __GUIXMLTEST__

#include "../UTest/UTest.hpp"

/*** TrooperEngine DLL Header Files ***/
#include "TrooperEngine.hpp"

using UtilityEngine::cString;

struct Settings
{
	GUIHelpers::Position pos;
	GUIHelpers::Size size;
	GUIHelpers::Padding pad;
	GUIHelpers::Position center;
};

void GUIXMLTest();

void GUIXMLDefaultTest();

void GUIXMLPositionTest();

void GUIXMLAlignTest( const GUIHelpers::eAlign one = GUIHelpers::eAlign::DEFAULT_ALIGN, const GUIHelpers::eAlign two = GUIHelpers::eAlign::DEFAULT_ALIGN,
	const GUIHelpers::eAlign three = GUIHelpers::eAlign::DEFAULT_ALIGN, const GUIHelpers::eOrientation orientation = GUIHelpers::eOrientation::DEFAULT_ORIENTATION);

void GUIXMLBoxSizerTest();

void LoadFile( const cString& filename, const bool show = false );

void cWindowTest( const cString& msg, UTest& u, GUIEngine::cWindow* win, const Settings sets );

void cWindowTest( const cString& msg, UTest& u, GUIEngine::cWindow* win, const GUIHelpers::Position& pos,
	const GUIHelpers::Size& size, const GUIHelpers::Padding& pad, const GUIHelpers::Position& center );

#endif // __GUIXMLTEST__
